﻿using System;
using System.Data;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace GridColumnHeader
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            string path = @"..\..\isl\Office2010Black.isl";
            Infragistics.Win.AppStyling.StyleManager.Load(path);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid.DataSource = GetData();
            SetDropdownValueList(ultraGrid.DisplayLayout.Bands[0].Columns["ValueList"]);
            foreach (UltraGridColumn column in ultraGrid.DisplayLayout.Bands[0].Columns)
                column.CellActivation = Activation.NoEdit;
        }

        private DataTable GetData(int rows = 10)
        {
            var table = new DataTable("Table1");
            table.Columns.Add("Boolean", typeof(bool));
            table.Columns.Add("Integer", typeof(int));
            table.Columns.Add("Double", typeof(double));
            table.Columns.Add("DateTime", typeof(DateTime));
            table.Columns.Add("String", typeof(string));
            table.Columns.Add("ValueList", typeof(string));
            var random = new Random();
            for (int i = 0; i < rows; i++)
            {
                DataRow row = table.NewRow();
                int n = random.Next(100);
                row["Boolean"] = n % 2 == 0;
                row["Integer"] = n;
                row["Double"] = random.NextDouble()*100 - 50;;
                row["String"] = "text";
                row["DateTime"] = DateTime.Today.AddDays(n);
                row["ValueList"] = "Item " + (n % 2 == 0? 1 : 2);
                table.Rows.Add(row);
            }
            return table;
        }

        private void SetDropdownValueList(UltraGridColumn column)
        {
            var newValueList = new ValueList();
            newValueList.ValueListItems.Add("Item 1");
            newValueList.ValueListItems.Add("item 2");
            column.ValueList = newValueList;
            column.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDownList;
        }
    }
}
